Read current publishing rules and account availability
curl --request GET \
--url https://api.dev.postinger.dev/public/v1/accounts/{accountId}/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dev.postinger.dev/public/v1/accounts/{accountId}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dev.postinger.dev/public/v1/accounts/{accountId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "instagram",
"status": "active"
},
"supported": true,
"available": true,
"reason": "<string>",
"requiredPermissions": {
"discover": [
"<string>"
],
"draft": [
"<string>"
],
"schedule": [
"<string>"
],
"publish": [
"<string>"
],
"upload": [
"<string>"
]
},
"rules": {
"caption": {
"maxLength": 123,
"lengthUnit": "<string>",
"requiredExcept": "<string>"
},
"attachments": {
"min": 123,
"max": 123,
"maxVideos": 123,
"allowMixed": true,
"storyMax": 123
},
"options": {},
"media": {
"images": {
"contentTypes": [
"<string>"
],
"maxBytes": 123
},
"videos": {
"contentTypes": [
"<string>"
],
"maxBytes": 123,
"videoCodecs": [
"<string>"
],
"audioCodecs": [
"<string>"
],
"minDurationSeconds": 123,
"maxDurationSeconds": 123
}
},
"notes": [
"<string>"
],
"maxShortDurationSeconds": 123,
"maxVideoDurationSeconds": 123
}
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}Accounts
Read current publishing rules and account availability
Required permissions: accounts-read.
GET
/
accounts
/
{accountId}
/
capabilities
Read current publishing rules and account availability
Was this page helpful?